// File created from ../../../src/lib/http/http_messages.mes on Thu Aug 03 2017 11:25

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace http {

extern const isc::log::MessageID HTTP_CONNECTION_STOP = "HTTP_CONNECTION_STOP";
extern const isc::log::MessageID HTTP_CONNECTION_STOP_FAILED = "HTTP_CONNECTION_STOP_FAILED";
extern const isc::log::MessageID HTTP_DATA_RECEIVED = "HTTP_DATA_RECEIVED";
extern const isc::log::MessageID HTTP_REQUEST_RECEIVED = "HTTP_REQUEST_RECEIVED";
extern const isc::log::MessageID HTTP_REQUEST_RECEIVE_START = "HTTP_REQUEST_RECEIVE_START";
extern const isc::log::MessageID HTTP_REQUEST_TIMEOUT_OCCURRED = "HTTP_REQUEST_TIMEOUT_OCCURRED";
extern const isc::log::MessageID HTTP_RESPONSE_SEND = "HTTP_RESPONSE_SEND";

} // namespace http
} // namespace isc

namespace {

const char* values[] = {
    "HTTP_CONNECTION_STOP", "stopping HTTP connection from %1",
    "HTTP_CONNECTION_STOP_FAILED", "stopping HTTP connection failed",
    "HTTP_DATA_RECEIVED", "received %1 bytes from %2",
    "HTTP_REQUEST_RECEIVED", "received HTTP request from %1",
    "HTTP_REQUEST_RECEIVE_START", "start receiving request from %1 with timeout %2",
    "HTTP_REQUEST_TIMEOUT_OCCURRED", "HTTP request timeout occurred when communicating with %1",
    "HTTP_RESPONSE_SEND", "sending HTTP response %1 to %2",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

